
Name: qscintilla
Summary: Port to Qt of Neil Hodgson's Scintilla C++ editor class
Version: 2.8.1
Release: %mkrel 1
License: GPLv2+
Group: System/Libraries
Source0: http://www.riverbankcomputing.co.uk/static/Downloads/QScintilla2/QScintilla-gpl-%version.tar.xz
Patch0:		QScintilla-gpl-2.2-libdir.patch
URL: http://www.riverbankcomputing.co.uk/software/qscintilla/intro
BuildRequires: qt4-devel 
BuildRequires: python-sip
BuildRequires: python-qt4-devel
Requires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%{name} < %version


%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

#--------------------------------------------------------------

%define libqs4 %mklibname qscintilla-qt4_ 2

%package -n %libqs4
Summary: Port to Qt of Neil Hodgson's Scintilla C++ editor class
Group: System/Libraries
Obsoletes: qscintilla-translations

%description -n %libqs4
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.


%files -n %libqs4
%defattr(644,root,root,755)
%attr(755,root,root) %{qt4lib}/*.so.*
%_datadir/qt4/translations/qscintilla*.qm

#--------------------------------------------------------------

%define libqs4dev %mklibname -d qscintilla-qt4

%package -n %libqs4dev
Summary: Libraries, include and other files to develop applications with QScintilla for Qt3
Group: Development/KDE and Qt
Requires: %libqs4 = %{version}-%{release}
Provides: %{name}-qt4-devel = %{version}-%{release}
Obsoletes: %{_lib}qscintilla-qt4_-devel
Provides: qscintilla-qt4-devel = %{version}-%{release}
Conflicts: %{_lib}qscintilla-qt3_2 <= 2.2-2

%description -n %libqs4dev
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.

%files -n %libqs4dev
%defattr(644,root,root,755)
%{_includedir}/Qsci/
%{qt4lib}/*.so
%{qt4plugins}/designer/*
%qt4dir/mkspecs/features/qscintilla2.prf
#--------------------------------------------------------------

%package -n python-qt4-qscintilla
Summary: Python qt4 QScintilla bindings
Group: Development/KDE and Qt
Requires: python-qt4-core
Requires: python-qt4-gui
Requires: %libqs4

%description -n python-qt4-qscintilla
Python qt4 QScintilla bindings.

%files -n python-qt4-qscintilla 
%defattr(644,root,root,755)
%_datadir/sip/PyQt4
%qt4dir/qsci
%py_platsitedir/PyQt4/Qsci.so
%qt4dir/api/python/QScintilla2.api

#--------------------------------------------------------------

%package doc
Summary: QScintilla docs
Group: Documentation

%description doc
QScintilla doc.

%files doc
%defattr(644,root,root,755)
%doc NEWS README doc	

#--------------------------------------------------------------

%prep 
%setup -qn QScintilla-gpl-%{version}
%patch0 -p1 -b .libbuild

%build
pushd Qt4Qt5
    export QTDIR=%_qt4_datadir
    %qmake_qt4 DESTDIR=%buildroot/%{_qt4_libdir} qscintilla.pro
    %make 
popd

pushd designer-Qt4Qt5
    echo "INCLUDEPATH += ../Qt4Qt5" >> designer.pro
    echo "LIBS += -L%buildroot/%{_qt4_libdir} -lqscintilla2" >> designer.pro
    %qmake_qt4 designer.pro
    make
popd

pushd Python
    export QTDIR=%_qt4_datadir
    export PATH=%_qt4_datadir/bin:$PATH
    python configure.py \
        -n ../Qt4Qt5 \
        -o %buildroot/%{_qt4_libdir}
    %make
popd

mkdir -p %buildroot/%_qt4_libdir

pushd Qt4Qt5
    make INSTALL_ROOT=%buildroot install
popd

pushd designer-Qt4Qt5
    make INSTALL_ROOT=%buildroot install
popd

pushd Python
    make INSTALL_ROOT=%buildroot install
popd


%changelog
* Sat Jun 20 2015 bb <bb> 2.8.1-1pclos2015
- update

* Thu Jul 17 2014 pinoc <vogtpet at gmail.com> 2.5.1-7pclos2014
- rebuild against new sip and new python-qt4

* Thu Nov 14 2013 pinoc <vogtpet at gmail.com> 2.5.1-6pclos2013
- rebuild

